> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Agent



## OpenAPI

````yaml /openapi.json post /admin/api/assistant/agents/{agentId}/archive
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/assistant/agents/{agentId}/archive:
    post:
      tags:
        - Assistant Admin
      summary: Archive Agent
      operationId: AssistantAdminController_archiveAgent
      parameters:
        - name: agentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantAgentLifecycleAdminDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    AssistantAgentLifecycleAdminDto:
      type: object
      properties:
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - expectedVersion
      additionalProperties: false

````